Loading...
Searching...
No Matches
ds_sds_index Struct Reference
DS

Retrieves iterator over all components inside the <extended-components> element. More...

`#include <scap_ds.h>`

Collaboration diagram for ds_sds_index:
[legend]

## Public Member Functions

OSCAP_API struct ds_sds_index * | ds_sds_index_new (void)
OSCAP_API void | ds_sds_index_free (struct ds_sds_index *s)
OSCAP_API struct ds_stream_index * | ds_sds_index_get_stream (struct ds_sds_index *s, const char *stream_id)
| retrieves a stream index by data-stream ID
OSCAP_API struct ds_stream_index_iterator * | ds_sds_index_get_streams (struct ds_sds_index *s)
| retrieves all streams indexed inside this structure

## Data Fields

struct oscap_list * | streams
struct oscap_htable * | benchmark_id_to_component_id

## Detailed Description

Retrieves iterator over all components inside the <extended-components> element.

Represents <data-stream-collection> element - the root element of each source datastream. Its purpose is to provide IDs and other metadata.

Contains a list of ds_stream_index structures, each representing one data-stream inside the collection.

See also
  ds_stream_index

The documentation for this struct was generated from the following files:

- sds_index.c
- scap_ds.h